Package ru.bitel.bgbilling.modules.voice.server.bean.code

# Class GeoCodeManager

java.lang.Object
ru.bitel.bgbilling.modules.voice.server.bean.code.GeoCodeManager

public class GeoCodeManager extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GeoCodeManager(Connection con, int moduleId, int userId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `delete(List<Integer> codes)`
  `protected VoiceGeographicCode`
  `get(String code, int codeId, int operatorId)`
  Получение одного геокода по его id (или по текстовому представлению)
  `String`
  `importGeographicCode(int operatorId, boolean addNew, boolean updateExist, String importContent)`
  `List<VoiceGeographicCode>`
  `list(int codeId, int operatorId)`
  Получение списка геокодов с возможностью вывести вывести все геокоды на определенную дату, либо геокоды без учета даты (полная история по геокоду), либо конкретный геокод на определенную дату.
  `int`
  `updateGeographicCode(VoiceGeographicCode code)`
  апдейтит код, в коде уже есть направление!!!

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GeoCodeManager

    public GeoCodeManager(Connection con, int moduleId, int userId)

- ## Method Details

  - ### list

    public List<VoiceGeographicCode> list(int codeId, int operatorId) throws SQLException
    Получение списка геокодов с возможностью вывести вывести все геокоды на определенную дату, либо геокоды без учета даты (полная история по геокоду), либо конкретный геокод на определенную дату.
    Parameters:
      `codeId` - id геокода, список изменений которого нужно вывести
      `date` - дата, на которую необходимо вывести геокоды.
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### delete

    public int delete(List<Integer> codes) throws SQLException
    Throws:
      `SQLException`

  - ### get

    protected VoiceGeographicCode get(String code, int codeId, int operatorId) throws SQLException
    Получение одного геокода по его id (или по текстовому представлению)
    Parameters:
      `code` - текстовое представление геокода
      `codeId` - id геокода
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### updateGeographicCode

    public int updateGeographicCode(VoiceGeographicCode code) throws ru.bitel.bgbilling.common.BGException
    апдейтит код, в коде уже есть направление!!!
    Parameters:
      `code` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### importGeographicCode

    public String importGeographicCode(int operatorId, boolean addNew, boolean updateExist, String importContent) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`